nMDS-class {dimRed} | R Documentation

## Non-Metric Dimensional Scaling

### Description

An S4 Class implementing Non-Metric Dimensional Scaling.

### Details

A non-linear extension of MDS using monotonic regression

### Slots

`fun`

  A function that does the embedding and returns a dimRedResult object.

`stdpars`

  The standard parameters for the function.

### General usage

Dimensionality reduction methods are S4 Classes that either be used directly, in which case they have to be initialized and a full list with parameters has to be handed to the `@fun()` slot, or the method name be passed to the embed function and parameters can be given to the `...`, in which case missing parameters will be replaced by the ones in the `@stdpars`.

### Parameters

nMDS can take the following parameters:

d

  A distance function.

ndim

  The number of embedding dimensions.

### Implementation

Wraps around the `monoMDS`. For parameters that are not available here, the standard configuration is used.

### References

Kruskal, J.B., 1964. Nonmetric multidimensional scaling: A numerical method. Psychometrika 29, 115-129. https://doi.org/10.1007/BF02289694

### See Also

Other dimensionality reduction methods: `AutoEncoder-class`, `DRR-class`, `DiffusionMaps-class`, `DrL-class`, `FastICA-class`, `FruchtermanReingold-class`, `HLLE-class`, `Isomap-class`, `KamadaKawai-class`, `LLE-class`, `MDS-class`, `NNMF-class`, `PCA-class`, `PCA_L1-class`, `UMAP-class`, `dimRedMethod-class`, `dimRedMethodList`, `kPCA-class`, `tSNE-class`

### Examples

    dat <- loadDataSet("3D S Curve", n = 300)

    ## using the S4 classes:
    nmds <- nMDS()
    emb <- nmds@fun(dat, nmds@stdpars)

    ## using embed()
    emb2 <- embed(dat, "nMDS", d = function(x) exp(dist(x)))

    plot(emb, type = "2vars")
    plot(emb2, type = "2vars")

[Package dimRed version 0.2.2 Index]